=== debian/changelog ===
ibus-chewing (2.0.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:57:25 +0000

ibus-chewing (2.0.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:05:47 +0000

ibus-chewing (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.
  * Change upstream to https://github.com/chewing.
  * d/control: Add Rules-Requires-Root: no.
  * d/rules: Remove unused rules.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 19 Feb 2024 02:34:07 +0800
