## ibus-chewing 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,31 @@
 cmake_minimum_required(VERSION 3.21.0)
 
-project(ibus-chewing VERSION 2.0.0 LANGUAGES C)
+project(ibus-chewing LANGUAGES C)
 set(PRJ_SUMMARY "The Chewing engine for IBus input platform")
 set(SUMMARY_TRANSLATIONS "zh_TW" "IBus新酷音輸入法")
+
+set(PRJ_VER_MAJOR 2)
+set(PRJ_VER_MINOR 1)
+set(PRJ_VER_PATCH 1)
+# set(PRJ_VER_EXTRA "")
+
+set(PRJ_VER "${PRJ_VER_MAJOR}.${PRJ_VER_MINOR}.${PRJ_VER_PATCH}")
+if(DEFINED PRJ_VER_EXTRA)
+  string(APPEND PRJ_VER "-${PRJ_VER_EXTRA}")
+endif()
+
+find_package(Git)
+if(Git_FOUND)
+    execute_process(
+        COMMAND ${GIT_EXECUTABLE} --work-tree ${CMAKE_SOURCE_DIR} describe --dirty --always
+        OUTPUT_STRIP_TRAILING_WHITESPACE
+        OUTPUT_VARIABLE GIT_DESCRIBE
+        ERROR_VARIABLE GIT_DESCRIBE_ERROR
+    )
+    if(NOT GIT_DESCRIBE_ERROR)
+        string(REPLACE "v" "" PRJ_VER ${GIT_DESCRIBE})
+    endif()
+endif()
 
 set(PRJ_DESCRIPTION
 "IBus-chewing is an IBus front-end of Chewing, an intelligent Chinese input
@@ -20,7 +43,11 @@
 
 本輸入法也同時支援帶調漢語拼音輸入。")
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
+option(ERROR_ON_WARNING "Toggle error-on-warning build" OFF)
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra")
+if(ERROR_ON_WARNING)
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
+endif()
 
 set(AUTHORS "Peng Huang, Ding-Yi Chen")
 set(MAINTAINER "Ding-Yi Chen <dchen at redhat.com>")
@@ -29,6 +56,8 @@
 set(PRJ_GROUP "System Environment/Libraries")
 set(RRJ_URL "https://github.com/chewing/${PROJECT_NAME}")
 
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
+
 enable_testing()
 include(GNUInstallDirs)
 
@@ -36,13 +65,13 @@
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(IBUS REQUIRED IMPORTED_TARGET ibus-1.0>=1.3)
-pkg_check_modules(CHEWING REQUIRED IMPORTED_TARGET chewing>=0.5.1)
+pkg_check_modules(CHEWING REQUIRED IMPORTED_TARGET chewing>=0.9.0)
 pkg_get_variable(CHEWING_DATADIR_REAL chewing datadir)
 
 add_compile_definitions(
     CHEWING_VERSION_MAJOR=0
-    CHEWING_VERSION_MINOR=5
-    CHEWING_VERSION_PATCH=1
+    CHEWING_VERSION_MINOR=9
+    CHEWING_VERSION_PATCH=0
 )
 
 pkg_check_modules(GLIB2 REQUIRED IMPORTED_TARGET glib-2.0)
@@ -52,7 +81,7 @@
 find_program(GLIB_COMPILE_RESOURCES NAMES glib-compile-resources REQUIRED)
 find_program(GLIB_COMPILE_SCHEMAS NAMES glib-compile-schemas)
 
-set(CMAKE_C_STANDARD 99)
+set(CMAKE_C_STANDARD 23)
 add_compile_definitions(_XOPEN_SOURCE)
 
 # Directory that store ibus-chewing icons
@@ -62,7 +91,6 @@
 set(PROJECT_SCHEMA_ID org.freedesktop.IBus.Chewing)
 set(LIBEXEC_DIR ${CMAKE_INSTALL_FULL_LIBEXECDIR})
 set(PRJ_DATA_DIR ${CMAKE_INSTALL_FULL_DATADIR}/ibus-chewing)
-set(PRJ_VER ${CMAKE_PROJECT_VERSION})
 add_compile_definitions(
     PROJECT_NAME=${CMAKE_PROJECT_NAME}
     PROJECT_SCHEMA_ID=${PROJECT_SCHEMA_ID}
@@ -75,6 +103,8 @@
     PRJ_DATA_DIR=${PRJ_DATA_DIR}
     PRJ_VER=${PRJ_VER}
     PRJ_URL=${PRJ_URL}
+    IBUS_VERSION=${IBUS_VERSION}
+    CHEWING_VERSION=${CHEWING_VERSION}
     LIBEXEC_DIR=${LIBEXEC_DIR}
     CHEWING_DATADIR_REAL=${CHEWING_DATADIR_REAL}
 )
@@ -110,7 +140,10 @@
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 install(DIRECTORY icons
     DESTINATION ${CMAKE_INSTALL_DATADIR}/ibus-chewing)
+install(FILES icons/org.freedesktop.IBus.Chewing.Setup.svg
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
 
+set(CPACK_PACKAGE_VERSION ${PRJ_VER})
 set(CPACK_PACKAGE_CHECKSUM SHA256)
 set(CPACK_SOURCE_IGNORE_FILES "/build" "/out" "/\\\\..*")
 set(CPACK_SOURCE_GENERATOR TXZ)
