=== debian/changelog ===
ibus-chewing (2.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 21 Aug 2024 09:54:24 +0800

ibus-chewing (2.1.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Update Vcs-* to input-method-team.

  [ Boyuan Yang ]
  * Remove unnecessary constraints.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 13 Aug 2024 00:18:03 +0800
