=== debian/changelog ===
ibus-chewing (2.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 08 Oct 2024 09:35:33 +0800
