## ibus-chewing 2.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(PRJ_VER_MAJOR 2)
 set(PRJ_VER_MINOR 1)
-set(PRJ_VER_PATCH 2)
+set(PRJ_VER_PATCH 3)
 # set(PRJ_VER_EXTRA "")
 
 set(PRJ_VER "${PRJ_VER_MAJOR}.${PRJ_VER_MINOR}.${PRJ_VER_PATCH}")
