=== debian/changelog ===
ibus-chewing (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 01 Jan 2025 22:08:18 +0800
