=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,8 @@
 add_library(common STATIC
-    IBusChewingApplier.c
-    IBusChewingProperties.c
     IBusChewingLookupTable.c
-    MakerDialogBackend.c
-    MakerDialogProperty.c
     MakerDialogUtil.c
 
     IBusChewingLookupTable.h
-    IBusChewingProperties.h
-    MakerDialogBackend.h
-    MakerDialogProperty.h
-    MakerDialogPropertySpec.h
     MakerDialogUtil.h
     ibus-chewing-engine.h
 )
@@ -18,19 +10,6 @@
     PkgConfig::CHEWING
     PkgConfig::GLIB2
     PkgConfig::IBUS
-)
-
-add_library(gui-core STATIC
-    GSettingsBackend.c
-    GSettingsBackend.h
-)
-target_link_libraries(gui-core PUBLIC
-    common
-    PkgConfig::GLIB2
-    PkgConfig::GTK4
-    PkgConfig::LIBADWAITA
-    PkgConfig::IBUS
-    PkgConfig::CHEWING
 )
 
 add_custom_command(
@@ -55,6 +34,8 @@
     setup/ibus-setup-chewing-application.h
     setup/ibus-setup-chewing-window.c
     setup/ibus-setup-chewing-window.h
+    setup/ibus-setup-chewing-about.c
+    setup/ibus-setup-chewing-about.h
     setup/main.c
     ${CMAKE_CURRENT_BINARY_DIR}/ibus-setup-chewing-window-ui.c
 )
@@ -63,7 +44,10 @@
     LOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
 )
 target_include_directories(ibus-setup-chewing PRIVATE setup)
-target_link_libraries(ibus-setup-chewing PkgConfig::LIBADWAITA)
+target_link_libraries(ibus-setup-chewing
+    PkgConfig::LIBADWAITA
+    PkgConfig::CHEWING
+)
 
 add_executable(ibus-engine-chewing
     ibus-chewing-engine.c
@@ -81,7 +65,14 @@
 target_include_directories(ibus-engine-chewing
     PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
 
-target_link_libraries(ibus-engine-chewing gui-core)
+target_link_libraries(ibus-engine-chewing
+    common
+    PkgConfig::GLIB2
+    PkgConfig::GTK4
+    PkgConfig::LIBADWAITA
+    PkgConfig::IBUS
+    PkgConfig::CHEWING
+)
 
 set(PROJECT_GSCHEMA_XML ${PROJECT_SCHEMA_ID}.gschema.xml)
 set(GSETTINGS_SCHEMAS_DIR ${CMAKE_INSTALL_DATADIR}/glib-2.0/schemas)
@@ -90,7 +81,7 @@
     DESTINATION ${GSETTINGS_SCHEMAS_DIR}
 )
 if(GLIB_COMPILE_SCHEMAS)
-    install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/${GSETTINGS_SCHEMAS_DIR})")
+    install(CODE "execute_process(COMMAND glib-compile-schemas \${CMAKE_INSTALL_PREFIX}/${GSETTINGS_SCHEMAS_DIR})")
 endif()
 
 install(TARGETS ibus-engine-chewing ibus-setup-chewing
