=== test/CMakeLists.txt ===
--- 
+++ 
@@ -8,30 +8,23 @@
     COMMAND gtester ${CMAKE_CURRENT_BINARY_DIR}/MakerDialogUtil-test)
 
 # ==================
-add_executable(MakerDialogBackend-test MakerDialogBackend-test.c)
-target_link_libraries(MakerDialogBackend-test gui-core)
-add_test(NAME MakerDialogBackend
-    COMMAND gtester ${CMAKE_CURRENT_BINARY_DIR}/MakerDialogBackend-test)
-set_tests_properties(MakerDialogBackend PROPERTIES
-    ENVIRONMENT "GSETTINGS_SCHEMA_DIR=${CMAKE_BINARY_DIR}/bin")
-
-# ==================
 add_executable(IBusChewingUtil-test IBusChewingUtil-test.c
     ../src/IBusChewingUtil.c
     ../src/IBusChewingUtil.h
 )
-target_link_libraries(IBusChewingUtil-test gui-core)
+target_link_libraries(IBusChewingUtil-test common)
 add_test(NAME IBusChewingUtil
     COMMAND gtester ${CMAKE_CURRENT_BINARY_DIR}/IBusChewingUtil-test)
 
 # ==================
 add_executable(IBusChewingPreEdit-test IBusChewingPreEdit-test.c
+    ../src/ibus-chewing-engine.c
     ../src/IBusChewingUtil.c
     ../src/IBusChewingUtil.h
     ../src/IBusChewingPreEdit.c
     ../src/IBusChewingPreEdit.h
 )
-target_link_libraries(IBusChewingPreEdit-test gui-core)
+target_link_libraries(IBusChewingPreEdit-test common PkgConfig::GTK4)
 add_test(NAME IBusChewingPreEdit
     COMMAND gtester ${CMAKE_CURRENT_BINARY_DIR}/IBusChewingUtil-test)
 
@@ -46,7 +39,7 @@
     ../src/IBusChewingUtil.c
     ../src/IBusChewingUtil.h
 )
-target_link_libraries(ibus-chewing-engine-test gui-core)
+target_link_libraries(ibus-chewing-engine-test common PkgConfig::GTK4)
 add_test(NAME ibus-chewing-engine
     COMMAND gtester ${CMAKE_CURRENT_BINARY_DIR}/ibus-chewing-engine-test)
 set_tests_properties(ibus-chewing-engine PROPERTIES
@@ -57,3 +50,7 @@
     COMMAND ${CMAKE_BINARY_DIR}/bin/ibus-setup-chewing -q)
 set_tests_properties(ibus-setup-chewing PROPERTIES
     ENVIRONMENT "GSETTINGS_SCHEMA_DIR=${CMAKE_BINARY_DIR}/bin")
+add_test(NAME ibus-setup-chewing-about
+    COMMAND ${CMAKE_BINARY_DIR}/bin/ibus-setup-chewing --about -q)
+set_tests_properties(ibus-setup-chewing-about PROPERTIES
+    ENVIRONMENT "GSETTINGS_SCHEMA_DIR=${CMAKE_BINARY_DIR}/bin")
