=== debian/changelog ===
ibus-chewing (2.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 26 Feb 2025 00:13:08 +0800
