=== debian/control ===
Source: ibus-chewing
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders: Asias He <asias.hejun@gmail.com>,
           Osamu Aoki <osamu@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               libadwaita-1-dev,
               libchewing3-dev (>= 0.9.0~),
               libgtk-4-dev,
               libibus-1.0-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/chewing/ibus-chewing
Vcs-Git: https://salsa.debian.org/input-method-team/ibus-chewing.git
Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-chewing
Rules-Requires-Root: no

Package: ibus-chewing
Architecture: any
Depends:
 ibus (>= 1.5.22-2),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chewing engine for IBus
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 IBus-chewing is a IBus based IM Engine for Traditional Chinese
