## ibus-chewing 2.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.21.0)
+cmake_minimum_required(VERSION 3.21.0...3.31.6)
 
 project(ibus-chewing LANGUAGES C)
 set(PRJ_SUMMARY "The Chewing engine for IBus input platform")
@@ -6,7 +6,7 @@
 
 set(PRJ_VER_MAJOR 2)
 set(PRJ_VER_MINOR 1)
-set(PRJ_VER_PATCH 4)
+set(PRJ_VER_PATCH 5)
 # set(PRJ_VER_EXTRA "")
 
 set(PRJ_VER "${PRJ_VER_MAJOR}.${PRJ_VER_MINOR}.${PRJ_VER_PATCH}")
