=== debian/changelog ===
ibus-chewing (2.1.5-1) unstable; urgency=medium

  * New upstream version 2.1.5

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 21 Aug 2025 22:16:14 +0800
