=== debian/changelog ===
ibus-chewing (2.1.6-1) unstable; urgency=medium

  * New upstream version 2.1.6
  * d/control: Bump Standards-Version to 4.7.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 27 Aug 2025 20:03:36 +0800
