=== debian/changelog ===
ibus-chewing (2.1.7-1) unstable; urgency=medium

  * New upstream version 2.1.7

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 06 Sep 2025 08:24:18 +0800
