=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libchewing3-dev (>= 0.9.0~),
                libgtk-4-dev,
                libibus-1.0-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/chewing/ibus-chewing
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-chewing.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-chewing
