=== debian/rules ===
#!/usr/bin/make -f
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

CFLAGS+=$(CPPFLAGS)

%:
	dh $@

override_dh_auto_test:
	# FIXME: fix unit test
