=== debian/watch ===
version=4

opts="downloadurlmangle=s/archive\/refs\/tags\/(v?([.\d]+))[.]tar[.]gz/releases\/download\/$1\/@PACKAGE@-$2-Source\.tar\.xz/" \
https://github.com/chewing/@PACKAGE@/tags .*/v?([.\d]+)[.]tar[.]gz
